# clusters/atlas/flux-system/applications/quality/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: quality
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  suspend: true
  path: ./services/quality
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
  targetNamespace: quality
  dependsOn:
    - name: cert-manager
    - name: keycloak
    - name: vault
    - name: postgres
  healthChecks:
    - apiVersion: apps/v1
      kind: Deployment
      name: sonarqube
      namespace: quality
    - apiVersion: apps/v1
      kind: Deployment
      name: sonarqube-exporter
      namespace: quality
    - apiVersion: apps/v1
      kind: Deployment
      name: oauth2-proxy-sonarqube
      namespace: quality
  wait: false
  timeout: 20m
